From a7f1bf7eb8e1d693274016e937188987c2c9890c Mon Sep 17 00:00:00 2001
From: vignesh <vignesh21@gmail.com>
Date: Fri, 16 Jul 2021 18:21:54 +0530
Subject: [PATCH v1] Documented cascade and restrict option for drop
 statistics.

Cascade and restrict options were not documented for drop statistics.
Added the documentation for the cascade and restrict option.
---
 doc/src/sgml/ref/drop_statistics.sgml | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

diff --git a/doc/src/sgml/ref/drop_statistics.sgml b/doc/src/sgml/ref/drop_statistics.sgml
index f58c3d6d22..1532ca9584 100644
--- a/doc/src/sgml/ref/drop_statistics.sgml
+++ b/doc/src/sgml/ref/drop_statistics.sgml
@@ -21,7 +21,7 @@ PostgreSQL documentation
 
  <refsynopsisdiv>
 <synopsis>
-DROP STATISTICS [ IF EXISTS ] <replaceable class="parameter">name</replaceable> [, ...]
+DROP STATISTICS [ IF EXISTS ] <replaceable class="parameter">name</replaceable> [, ...] [ CASCADE | RESTRICT ]
 </synopsis>
  </refsynopsisdiv>
 
@@ -59,6 +59,18 @@ DROP STATISTICS [ IF EXISTS ] <replaceable class="parameter">name</replaceable>
     </listitem>
    </varlistentry>
 
+   <varlistentry>
+    <term><literal>CASCADE</literal></term>
+    <term><literal>RESTRICT</literal></term>
+
+    <listitem>
+     <para>
+      These key words do not have any effect, since there are no dependencies
+      on statistics.
+     </para>
+    </listitem>
+   </varlistentry>
+
   </variablelist>
  </refsect1>
 
-- 
2.25.1

